

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.grids.termination_flags.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.grids.termination_flags"></span><p>Module for computing termination flags of MESA runs.</p>
<dl class="simple">
<dt>There are four flags:</dt><dd><p>Flag 1: Indicates why the run terminated.
Flag 2: Denotes the mass transfer phase(s) the system has gone through.
Flag 3: Marks the evolutionary stage of the primary star.
Flag 4: Marks the evolutionary stage of the seconary star.</p>
</dd>
</dl>
<p>The funtion <cite>get_flags_from_MESA_run</cite> is responsible for getting all flags for
a run, using the more specialized functions defined in the module.</p>
<dl class="py function">
<dt id="posydon.grids.termination_flags.check_state_from_history">
<code class="sig-prename descclassname">posydon.grids.termination_flags.</code><code class="sig-name descname">check_state_from_history</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">history</span></em>, <em class="sig-param"><span class="n">mass</span></em>, <em class="sig-param"><span class="n">model_index</span><span class="o">=</span><span class="default_value">- 1</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/termination_flags.html#check_state_from_history"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.termination_flags.check_state_from_history" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the final state of the star from the star history data.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>history</strong> (<em>np.array</em>) – MESA history of the star</p></li>
<li><p><strong>model_index</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Index of the model in history for which the state will be computed.
By default it is the end of the evolution (last model).</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>state</strong> – The state of the star.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.grids.termination_flags.get_flag_from_MESA_output">
<code class="sig-prename descclassname">posydon.grids.termination_flags.</code><code class="sig-name descname">get_flag_from_MESA_output</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">MESA_log_path</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/termination_flags.html#get_flag_from_MESA_output"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.termination_flags.get_flag_from_MESA_output" title="Permalink to this definition">¶</a></dt>
<dd><p>Return a flag about evolutionary outcome based on MESA output file.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>MESA_log_path</strong> (<em>string</em>) – The output file of MESA.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The termination flag inferred from the last line containing the strings
<cite>min_timestep_limit</cite>, or <cite>termination code:</cite>, or <cite>Terminate:</cite>.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.grids.termination_flags.get_flags_from_MESA_run">
<code class="sig-prename descclassname">posydon.grids.termination_flags.</code><code class="sig-name descname">get_flags_from_MESA_run</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">MESA_log_path</span></em>, <em class="sig-param"><span class="n">binary_history</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">history1</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">history2</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">start_at_RLO</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/termination_flags.html#get_flags_from_MESA_run"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.termination_flags.get_flags_from_MESA_run" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the four termination flags.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>MESA_log_path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – path to the MESA terminal output</p></li>
<li><p><strong>binary_history</strong> (<em>np.array</em>) – MESA output histories.</p></li>
<li><p><strong>history1</strong> (<em>np.array</em>) – MESA output histories.</p></li>
<li><p><strong>history2</strong> (<em>np.array</em>) – MESA output histories.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><p><strong>flag_MESAout, flag_mass_transfer, final_state_1, final_state_2</strong> – flag_MESAout: actual line of MESA terminal output_path
flag_mass_transfer: describes the mass transfer (e.g., case A, case B).
final_state_1, final_state_2: describe the final evolutionary</p>
<blockquote>
<div><p>state of the two stars. None if history star is not provided.</p>
</div></blockquote>
</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.grids.termination_flags.get_mass_transfer_flag">
<code class="sig-prename descclassname">posydon.grids.termination_flags.</code><code class="sig-name descname">get_mass_transfer_flag</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary_history</span></em>, <em class="sig-param"><span class="n">history1</span></em>, <em class="sig-param"><span class="n">history2</span></em>, <em class="sig-param"><span class="n">start_at_RLO</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">mesa_flag</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/termination_flags.html#get_mass_transfer_flag"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.termination_flags.get_mass_transfer_flag" title="Permalink to this definition">¶</a></dt>
<dd><p>Read flag from MESA history.</p>
<p>In case of contact during MS, RLOF1, RLOF2 or no_RLOF.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>binary_history</strong> (<em>np.array</em>) – The binary history file of MESA.
Can also be the history of star 1 or 2 if binary history columns.</p></li>
<li><p><strong>history1</strong> (<em>np.array</em>) – The history file of MESA for star1.</p></li>
<li><p><strong>history2</strong> (<em>np.array</em>) – The history file of MESA for star2.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>flag_system_evolution_history</strong> – Possible flags are: “contact during MS”, “no_RLOF”, a cumulative MT
flag + “_from_star1/2”, or in case of missing binary history data,
“undetermined_flag_mass_transfer_with_no_binary_history”.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>string</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.grids.termination_flags.infer_interpolation_class">
<code class="sig-prename descclassname">posydon.grids.termination_flags.</code><code class="sig-name descname">infer_interpolation_class</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">tf1</span></em>, <em class="sig-param"><span class="n">tf2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/termination_flags.html#infer_interpolation_class"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.termination_flags.infer_interpolation_class" title="Permalink to this definition">¶</a></dt>
<dd><p>Use the first two termination flags to infer the interpolation class.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.grids.termination_flags.initial_RLO_fix_applies">
<code class="sig-prename descclassname">posydon.grids.termination_flags.</code><code class="sig-name descname">initial_RLO_fix_applies</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">mass</span></em>, <em class="sig-param"><span class="n">period</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/termination_flags.html#initial_RLO_fix_applies"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.termination_flags.initial_RLO_fix_applies" title="Permalink to this definition">¶</a></dt>
<dd><p>Check if initial RLO fix is warranted given the initial mass and period.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>mass</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Mass of star 1.</p></li>
<li><p><strong>period</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – Binary’s period (in days).</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>True if initial RLO flag should be forced.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)">bool</a></p>
</dd>
</dl>
</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>